# List workspace folders (deprecated)

Lists a workspace's folders.

> Note: For pagination guidance, refer to Pagination.

> DEPRECATED - As early as the sunset date specified in this Changelog entry, this endpoint will be removed. See the Get workspace children endpoint for replacement functionality. You can use the GET /workspaces/{workspaceId}/children endpoint with the childrenResourceTypes=folders parameter, to list folders specific to a workspace.
> 
> Refer to the following article for details on using the above-mentioned endpoint: Migrate from GET /workspaces/{id} for workspace and child metadata

Endpoint: GET /workspaces/{workspaceId}/folders
Version: 2.0.0
Security: APIToken, OAuth2

## Header parameters:

  - `Authorization` (string)
    API Access Token used to authenticate requests to Smartsheet APIs.

  - `smartsheet-integration-source` (string)
    Uses the following metadata to distinguish between human-initiated API requests and third-party service-initiated calls by AI Connectors or ITSM:

- Integration source type
- Organization name
- Integration source name 

Format:


TYPE,OrgName,SourceName


Examples: 

AI,SampleOrg,My-AI-Connector-v2

SCRIPT,SampleOrg2,Accounting-updater-script

APPLICATION,SampleOrg3,SheetUpdater
    Example: "AI,SampleOrg,My-AI-Connector-v2"

## Path parameters:

  - `workspaceId` (string, required)
    ID of the workspace being accessed.

## Query parameters:

  - `includeAll` (boolean)
    If true, include all results, that is, do not paginate. Mutually exclusive with page and pageSize (they are ignored if includeAll=true is specified).

  - `page` (number)
    Which page to return. Defaults to 1 if not specified. If you specify a value greater than the total number of pages, the last page of results is returned.

  - `pageSize` (number)
    The maximum number of items to return per page. Unless otherwise stated for a specific endpoint, defaults to 100. If only page is specified, defaults to a page size of 100. For reports, the default is 100 rows. If you need larger sets of data from your report, returns a maximum of 10,000 rows per request.

## Response 200 fields (application/json):

  - `pageNumber` (number)
    The current page in the full result set that the data array represents. NOTE when a page number greater than totalPages is requested, the last page is instead returned.
    Example: 1

  - `pageSize` (number,null)
    The number of items in a page. Omitted if there is no limit to page size (and hence, all results are included). Unless otherwise specified, this defaults to 100 for most endpoints.
    Example: 50

  - `totalPages` (number)
    The total number of pages in the full result set.
    Example: 25

  - `totalCount` (number)
    The total number of items in the full result set.
    Example: 136

  - `data` (array)
    Array of all the workspace folders, referenced by their ID, name, and URL.

  - `data.id` (number)
    The folder's unique identifier.
    Example: 987654321

  - `data.name` (string)
    The folder's name.
    Example: "Upcoming Campaigns"

  - `data.permalink` (string)
    URL to the folder in Smartsheet.
    Example: "https://app.smartsheet.com/folders/c8gJxw87cXpRCvCC5PPw6jFhFRrf5r8PxCrxvW21"

## Response default fields (application/json):

  - `refId` (string)
    The ID of the specific error occurrence. Please include this information when contacting Smartsheet support.

  - `errorCode` (number)
    Custom error code from Smartsheet. See the complete [Error Code List](/api/smartsheet/error-codes).

  - `message` (string)
    Descriptive error message.


